Subject: Re: [v6,2/2] QE: remove PPCisms for QE

From: Scott Wood <[email-masked]>
Date: Mon, 26 Sep 2016 18:11:35 -0500

On Mon, 2016-09-26 at 01:46 +0000, Qiang Zhao wrote:
> On Sun, Sep 25, 2016 at 12:19PM -0500, Scott Wood wrote:
> 
> > 
> > -----Original Message-----
> > From: Scott Wood [mailto:[email-masked]]
> > Sent: Sunday, September 25, 2016 12:19 PM
> > To: Qiang Zhao <[email-masked]>
> > Cc: [email-masked]; [email-masked]; X.B. Xie
> > <[email-masked]>; [email-masked]
> > Subject: Re: [v6,2/2] QE: remove PPCisms for QE
> > 
> > On Sat, Sep 24, 2016 at 11:14:11PM -0500, Scott Wood wrote:
> > > 
> > > On Fri, Sep 23, 2016 at 10:20:32AM +0800, Zhao Qiang wrote:
> > > > 
> > > > QE was supported on PowerPC, and dependent on PPC, Now it is
> > > > supported on other platforms. so remove PPCisms.
> > > > 
> > > > Signed-off-by: Zhao Qiang <[email-masked]>
> > > > ---
> > > > Changes for v2:
> > > > 	- na
> > > > Changes for v3:
> > > > 	- add NO_IRQ
> > > > Changes for v4:
> > > > 	- modify spin_event_timeout to opencoded timeout loop
> > > > 	- remove NO_IRQ
> > > > 	- modify virq_to_hw to opencoed code Changes for v5:
> > > > 	- modify commit msg
> > > > 	- modify depends of QUICC_ENGINE
> > > > 	- add kerneldoc header for qe_issue_cmd Changes for v6:
> > > > 	- add dependency on FSL_SOC and PPC32 for drivers
> > > > 	  depending on QUICC_ENGING but not available on ARM
> > > > 
> > > >  drivers/irqchip/qe_ic.c                | 28 +++++++-----
> > > >  drivers/net/ethernet/freescale/Kconfig | 10 ++---
> > > >  drivers/soc/fsl/qe/Kconfig             |  2 +-
> > > >  drivers/soc/fsl/qe/qe.c                | 80 ++++++++++++++++++++-----
> > > > ---------
> > > >  drivers/soc/fsl/qe/qe_io.c             | 42 ++++++++----------
> > > >  drivers/soc/fsl/qe/qe_tdm.c            |  8 ++--
> > > >  drivers/soc/fsl/qe/ucc.c               | 10 ++---
> > > >  drivers/soc/fsl/qe/ucc_fast.c          | 68 ++++++++++++++-----------
> > > > ----
> > > >  drivers/tty/serial/Kconfig             |  2 +-
> > > >  drivers/usb/gadget/udc/Kconfig         |  2 +-
> > > >  drivers/usb/host/Kconfig               |  2 +-
> > > >  include/soc/fsl/qe/qe.h                |  1 -
> > > >  include/soc/fsl/qe/qe_ic.h             | 12 ++---
> > > >  13 files changed, 141 insertions(+), 126 deletions(-)
> > > I assume this means you'll be updating
> > > http://patchwork.ozlabs.org/patch/654473/
> > > to be based on top of this...
> > Apparently that assumption was wrong, since I now see that you're patching
> > drivers/irqchip/qe_ic.c rather than drivers/soc/fsl/qe/qe_ic.c.
> > Please keep the drivers/irqchip stuff separate and send to the appropriate
> > maintainers.
> > 
> You means separate drivers/irqchip/qe_ic.c part from this patch and send it
> with the other qe_ic patches?
> Is it acceptable if I modify qe_ic.c with drivers/soc/fsl/qe/qe_ic.c, then
> send qe_ic patches to move qe_ic to drivers/irqchip?

I'd recommend against it.  It would complicate getting the drivers/irqchip
patchset merged.  In any case, it's too late for 4.9.

-Scott